import Vue from 'vue'
import App from './index'

const app = new Vue(App)
app.$mount()

export default {
  config: {
    enablePullDownRefresh: true,
    "usingComponents": {
      "van-button": "/static/vant/dist/button/index",
      "van-search": "/static/vant/dist/search/index",
      "van-card": "/static/vant/dist/card/index",
      "van-dropdown-menu": "/static/vant/dist/dropdown-menu/index",
      "van-dropdown-item": "/static/vant/dist/dropdown-item/index",
      "van-row": "/static/vant/dist/row/index",
      "van-col": "/static/vant/dist/col/index",
      "van-tab": "/static/vant/dist/tab/index",
      "van-tabs": "/static/vant/dist/tabs/index",
      "van-panel": "/static/vant/dist/panel/index",
      "van-grid": "/static/vant/dist/grid/index",
      "van-grid-item": "/static/vant/dist/grid-item/index",
      "van-image": "/static/vant/dist/image/index",
      "van-cell": "/static/vant/dist/cell/index",
      "van-icon": "/static/vant/dist/icon/index",
      "van-dialog": "/static/vant/dist/dialog/index",
      "van-uploader": "/static/vant/dist/uploader/index",
      "van-field": "/static/vant/dist/field/index"
    }
  }
}
