import Vue from 'vue'
import App from './index'

const app = new Vue(App)
app.$mount()

export default {
  config: {
    enablePullDownRefresh: true,
    "usingComponents": {
      "van-button": "/static/vant/dist/button/index",
      "van-search": "/static/vant/dist/search/index",
      "van-card": "/static/vant/dist/card/index",
      "van-dropdown-menu": "/static/vant/dist/dropdown-menu/index",
      "van-dropdown-item": "/static/vant/dist/dropdown-item/index",
      "van-row": "/static/vant/dist/row/index",
      "van-col": "/static/vant/dist/col/index",
      "van-swipe-cell": "/static/vant/dist/swipe-cell/index",
      "van-dialog": "/static/vant/dist/dialog/index"
    }
  }
}
