import Vue from 'vue'
import App from './index'

const app = new Vue(App)
app.$mount()

export default {
  config: {
    "usingComponents": {
      "van-grid": "/static/vant/dist/grid/index",
      "van-grid-item": "/static/vant/dist/grid-item/index",
      "van-dialog": "/static/vant/dist/dialog/index",
      "van-button": "/static/vant/dist/button/index",
      "van-cell": "/static/vant/dist/cell/index",
      "van-cell-group": "/static/vant/dist/cell-group/index",
      "van-row": "/static/vant/dist/row/index",
      "van-col": "/static/vant/dist/col/index",
      "van-divider": "/static/vant/dist/divider/index",
      "txv-video": "plugin://tencentvideo/video",
      "van-tab": "/static/vant/dist/tab/index",
      "van-tabs": "/static/vant/dist/tabs/index",
      "van-panel": "/static/vant/dist/panel/index",
      "van-card": "/static/vant/dist/card/index",
      "van-icon": "/static/vant/dist/icon/index",
    }
  }
}
