import Vue from 'vue'
import App from './index'

const app = new Vue(App)
app.$mount()

export default {
  config: {
    enablePullDownRefresh: true,
    "usingComponents": {
      "van-button": "/static/vant/dist/button/index",
      "van-search": "/static/vant/dist/search/index",
      "van-card": "/static/vant/dist/card/index",
      "van-dropdown-menu": "/static/vant/dist/dropdown-menu/index",
      "van-dropdown-item": "/static/vant/dist/dropdown-item/index",
      "van-grid": "/static/vant/dist/grid/index",
      "van-grid-item": "/static/vant/dist/grid-item/index",
      "van-tab": "/static/vant/dist/tab/index",
      "van-tabs": "/static/vant/dist/tabs/index",
      "van-goods-action": "/static/vant/dist/goods-action/index",
      "van-goods-action-icon": "/static/vant/dist/goods-action-icon/index",
      "van-goods-action-button": "/static/vant/dist/goods-action-button/index",
      "van-cell": "/static/vant/dist/cell/index",
      "van-cell-group": "/static/vant/dist/cell-group/index",
      "van-rate": "/static/vant/dist/rate/index",
      "van-icon": "/static/vant/dist/icon/index",
      "txv-video": "plugin://tencentvideo/video"
    }
  }
}
